3. Verify account

POST /api/merchant/verify_account

Alipay use this interface to verify the phone number to merchant for Top-up card.

This API call typically occurs in scenarios where:

  • Users select the operator & input their mobile number


Request parameters

userId string  

ID of AlipayHK user.

If this value exists, it indicates that the institution must first check whether the user has corresponding, successfully validated number data. If such data is found, return the result; otherwise, invoke the carrier's API to verify the phone number.

openId string  

ID of AlipayHK user.


If this value exists, it indicates that the institution must first check whether the user has corresponding, successfully validated number data. If such data is found, return the result; otherwise, invoke the carrier's API to verify the phone number.

merchantAccountId string  

Merchant ID of carrier

segmentId string  

The sub-merchant ID of the carrier identifies different carrier brands.

mobileNo string  REQUIRED

Phone number

mobileCountryCode string  REQUIRED

Area code for the phone number. e.g. 852

Response parameters

result object  REQUIRED

Result of response


Show child parameters

accountInfo object  

Show child parameters
API Explorer

Request

Request Body

Response

Response Body